# Chart

## Description:

Chart

Provides a graphical representation of data, in which the data is represented by symbols, such as bars in a bar chart, lines in a line chart. A chart can represent tabular numeric data, functions or some kinds of qualitative structure and provides different info.

### Allowed Parent Components:

1. Combination Chart

### Allowed Child Components:

1. Popover
2. Pulse
3. Trigger Before Render

### Properties

### ➤ Series Name

Lets you specify the series name for a particular dataset. For example, if you're plotting a chart to indicate monthly sales analysis for 2005 and 2006, the seriesName for the first dataset will be 2005 and that of the second will be 2006. The seriesName of a dataset is shown in legend.

Allowed Values: Free text field

### ➤ Render As

This attribute defines what the particular dataset will be plotted as. Valid values are COLUMN, AREA or LINE.

Allowed Values:

1. bar
2. area
3. line

### ➤ Parent Yaxis

This attribute allows you to set the parent Yaxis of the data P(primary) or S(secondary). Primary data are drawn against the left y-axis and the secondary against the right-axis.

Allowed Values:

1. primary
2. secondary

### ➤ Use Existing Data Source

Choose this prop if you want to reuse a Data Source that was defined on some other component on this page or any of the parent abstract pages.

Allowed Values: Yes/No

### ➤ Data Source

Select a datasource from the list.

Allowed Values: Select a datasource from the list.

### ➤ Data Source Alias

Allowed Values: Free text field

### ➤ Default Where Clause

Allowed Values: Free text field

### ➤ Max Rows

Allowed Values: Any number value

### ➤ Order By Clause

e.g. #firstAttr#, #secondAttr# DESC

Allowed Values: Free text field

### ➤ Auto Query

Check this property to query the selected datasource on component render.

Allowed Values: Yes/No

### ➤ Execute Count SQL

Check this to execute count SQL to get the total number of rows in the database on a query. You can get this value by using the expression: #{DataStore.totalLength}

Allowed Values: Yes/No

### ➤ Execute Distinct SQL

Check this to execute distinct SQL to get the total number of distinct rows in the database on a query.

Allowed Values: Yes/No

### ➤ Key Attribute

It is the primary key field in the current data source.

Allowed Values: It is the primary key field in the current data source.

### ➤ Label Attribute

The attribute that you would want to display as the label on the X- axis

Allowed Values: The attribute that you would want to display as the label on the X- axis

### ➤ Category Key Attribute

Select a attribute so that the mathematical functions will be performed on this attribute.

Allowed Values: Select a attribute so that the mathematical functions will be performed on this attribute.

### ➤ Category Attribute

To display all the categories based on the attribute that you provide in a legend at the bottom.

Allowed Values: To display all the categories based on the attribute that you provide in a legend at the bottom.

### ➤ Value Attribute

Selected attribute value will be plotted on the chart.

Allowed Values: Selected attribute value will be plotted on the chart.

### ➤ Function

Select a function to do arithmetic operations on data.

Allowed Values:

1. SUM
2. COUNT
3. AVG
4. MAX
5. MIN
6. COUNT(DISTINCT)

### ➤ Label Format Expression

Specify an expression that should be evaluated to a string

Allowed Values: An expression which should return string after evaluation

### ➤ Show Values

Check this property to show values for the chart.

Allowed Values: Yes/No

### ➤ Show In2 D

Check this property to render a bar chart in 2D, when dual Y-axis is unchecked.

Allowed Values: Yes/No

### ➤ Show Stacked

Check this property to show stacked chart.

Allowed Values: Yes/No


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudio.io/ui-components/widgets/combichild.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
